Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.deploy
Interface SimpleAtomicComparer

    public interface SimpleAtomicComparer

Simple comparer interface for comparing two atomic values. This comparer is used in compiled code only: note that it is committed to one of the specific comparison operators such as gt, lt, ge etc.

Method Summary
`boolean` | `compare(AtomicValue a, AtomicValue b)` Compare two AtomicValue objects according to the rules for their data type.

Method Detail

### compare

    boolean compare(AtomicValue a,
                    AtomicValue b)

  Compare two AtomicValue objects according to the rules for their data type. UntypedAtomic values are compared as if they were strings; if different semantics are wanted, the conversion must be done by the caller.

  Parameters:
    `a` - the first object to be compared. It is intended that this should be an instance of AtomicValue, though this restriction is not enforced. If it is a StringValue, the collator is used to compare the values, otherwise the value must implement the java.util.Comparable interface.
    `b` - the second object to be compared. This must be comparable with the first object: for example, if one is a string, they must both be strings.
  Returns:
    true if the comparison succeeds
  Throws:
    `ClassCastException` - if the objects are not comparable

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.